import AuthLayout from "@/components/modules/authLayout";
import Head from "next/head";
import OtpVerifySection from "@/components/rendering/auth/otpVerifySection";
import { parseCookies } from "nookies";
import { useEffect } from "react";
import { getItemFromSession } from "@/utils/useHooks/useStorage";
import { useRouter } from "next/router";

export default function OtpVerifyPage() {
  const router = useRouter();

  useEffect(() => {
    if (!getItemFromSession("isFormSigninSinup")) {
      router?.push("/auth/login");
    }
  }, []);
  return (
    <>
      <Head>
        <title>WaoSim | Forgot Password</title>
        <meta name="description" content="Generated by create next app" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link rel="icon" href="/faviconIcon.svg" />
      </Head>
      <main>
        <AuthLayout>
          <OtpVerifySection />
        </AuthLayout>{" "}
      </main>
    </>
  );
}

export async function getServerSideProps(context: any) {
  const { req } = context;
  const { user_id } = context?.query;

  const cookies = parseCookies({ req });

  if (cookies?.waotoken) {
    return {
      redirect: {
        destination: "/",
        permanent: false,
      },
    };
  }
  // else if (!user_id) {
  //   return {
  //     redirect: {
  //       destination: "/auth/login",
  //       permanent: false,
  //     },
  //   };
  // }

  return {
    props: {
      token: cookies?.waotoken || "",
    },
  };
}
